package com.ruoyi.system.domain.project;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目入统对象 bm_construction_payinfo
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public class BmConstructionPayInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目施工id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;


    /** 入统时间* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入统时间*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date statisticsDate;

    /** 入统截图* */
    @Excel(name = "入统截图*")
    private String statisticsPhoto;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setStatisticsDate(Date statisticsDate) 
    {
        this.statisticsDate = statisticsDate;
    }

    public Date getStatisticsDate() 
    {
        return statisticsDate;
    }
    public void setStatisticsPhoto(String statisticsPhoto) 
    {
        this.statisticsPhoto = statisticsPhoto;
    }

    public String getStatisticsPhoto() 
    {
        return statisticsPhoto;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("statisticsDate", getStatisticsDate())
            .append("statisticsPhoto", getStatisticsPhoto())
            .toString();
    }
}
